<template>
  <div class="register-steps" ref="regStep2">
    <div
      class="step"
      :class="getClassByStep(1)"
    >
      <span>1</span>
      <div>Контактная информация</div>
    </div>
    <div
      class="step"
      :class="getClassByStep(2)"
    >
      <span>2</span>
      <div>Личная информация</div>
    </div>
    <div
      class="step"
      :class="getClassByStep(3)"
    >
      <span>3</span>
      <div>Дополнительная информация</div>
    </div>
    <div
      class="step"
      :class="getClassByStep(4)"
    >
      <span>4</span>
      <div>Получение денег</div>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'bread-crumbs',
    computed: {
      stepNum: function () {
        return this.$user.regStep;
      }
    },
    methods: {
      getClassByStep: function (step) {
        return this.stepNum >= step ? 'pass' : ''
      }
    }
  }
</script>

<style scoped>
  .register-steps{
    padding-top: 50px;
  }
</style>
